---
layout: docs
page_title: 'Commands: recommendation info'
description: |
  The recommendation info command is used to read the specified recommendation.
---

# Command: recommendation info

The `recommendation info` command is used to read the specified recommendation.

~> Recommendation commands are new in Nomad 1.0 and are only available with
Nomad Enterprise.

## Usage

```plaintext
nomad recommendation info [options] <recommendation_id>
```

The `recommendation info` command requires a single argument, a recommendation ID.

When ACLs are enabled, this command requires a token with the `read-job`
capability for the recommendation's namespace.

## General Options

@include 'general_options.mdx'

## Info Options

- `-json` : Output the recommendation in its JSON format.

- `-t` : Format and display the recommendation using a Go template.

## Examples

View the information of a specific recommendation:

```shell-session
$ nomad recommendation info 68236421-c90f-efa6-fc02-37ae2d59bf03
ID         = 68236421-c90f-efa6-fc02-37ae2d59bf03
Namespace  = default
Job ID     = example
Task Group = cache
Task       = redis
Resource   = CPU
Value      = 57
Current    = 500

Stats
max   mean  min   p99
5.89  1.66  0.44  5.89

Meta
nomad_policy_id       = e20dc742-dd5d-5419-8add-c5e0233933f5
num_evaluated_windows = 2
window_size           = 3e+11
```
